<?php if (Session::get("tipo_usuario") != "1"){ show_403();} ?>
<?php if ($_SERVER["REQUEST_METHOD"] != "POST"){ show_403();} ?>
<?php import_file(DIR_TEMPLATES."header.php", ["title" => "Editar Tópico", "active_page" => "topicos"]); ?>
<?php import_file(DIR_MODELS."Model.class.php"); ?>

<?php 

	$id_topico = encrypt_decode(filter_input(INPUT_POST, "id_topico", FILTER_SANITIZE_STRING));

	$model = new Model();

	$result = $model->query("SELECT * FROM topico WHERE id_topico = :id AND status_topico = 'S'", [":id" => $id_topico]);

	$dados = $result->fetch();

?>

<h4 class="mb-3">
	<i class="fa-regular fa-edit"></i> Editar Tópico
</h4>

<div class="content-box">
	<form id="form-topico">
		<div class="form-group">
			<label for="titulo-topico">Título<span class="text-danger">*</span></label>
			<input type="text" name="titulo_topico" id="titulo-topico" class="form-control" value="<?php echo $dados->titulo_topico; ?>" required>
		</div>
		
		<input type="hidden" name="id_topico" class="d-none" value="<?php echo encrypt_encode($id_topico); ?>">

		<button type="submit" class="btn btn-primary">
			<i class="fa-regular fa-save"></i> Salvar
		</button>

		<a href="<?php echo show_link("/topicos/"); ?>" class="btn btn-secondary">
			<i class="fa-regular fa-arrow-left"></i> Voltar
		</a>
	</form>
</div>

<script>
	$("#form-topico").submit(function(event){
		event.preventDefault();
		var form = $(this);
		$.ajax({
			type: "POST",
			data: form.serialize(),
			url: "<?php echo show_link("/editar-topico/"); ?>",
			async: true
		}).then(function(response){
			var result = $.parseJSON(response);
			if (result.status == true) {
				$.toast({
					heading: "Aviso",
					text: "Dados Atualizado com Sucesso!",
					icon: "success",
					loader: true
				});
			}
			else if (result.status == false && result.motivo == "titulo") {
				$("#titulo-topico").addClass("is-warning");
				$.toast({
					heading: "Aviso",
					text: "Um tópico com esse título já foi cadastrado no sistema!",
					icon: "warning",
					loader: true
				});
				$("#titulo-topico").keyup(function(){
					$(this).removeClass("is-warning");
					$(this).off("keyup");
				});
			}
		}, function(error){
			console.log("Erro: "+error);
		});
	});
</script>

<?php import_file(DIR_TEMPLATES."footer.php"); ?>